org.gnome.gtk

## Interface TreeView.RowExpanded

- Enclosing class:
    TreeView

      public static interface TreeView.RowExpanded

  Emitted when a row in the TreeView has been expanded, i.e. when its child nodes are shown. A row is expanded either by clicking in the little arrow near it, or by pressing the `+` key when a row is selected. Of course, a row can be only expanded when it has child rows, and so it can be only emitted when the TreeView is used with a hierarchical model such as `TreeStore`.

  In general, you've got the TreeModel and especially its DataColumns visible, so to use `TreeView.RowExpanded` you can just:

       final TreeModel model;
       final DataColumnString column;

       view.connect(new TreeView.RowExpanded() {
           public void onRowExpanded(TreeView source, TreeIter iter, TreePath path) {
               ... = model.getValue(iter, column);
           }
       });

  Remember that TreeIters and TreePaths are not stable over changes to the model, so get on with using `path` right away.
  Since:
    4.0.7
  Author:
    Vreixo Formoso

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onRowExpanded(TreeView source, TreeIter iter, TreePath path)`

- - ### Method Detail

    - #### onRowExpanded

          void onRowExpanded(TreeView source,
                           TreeIter iter,
                           TreePath path)